export const uploadMixn = {
	data() {
		return {
			requestNum: 0, // 当前请求数
		}
	},
	methods: {
		//七牛token获取的回调
		getQiuToken(callback) {
			this.$u.api.get("api/kemean/aid/qn_upload").then(data => {
				/*
				 *接口返回参数：
				 *visitPrefix:访问文件的域名
				 *token:七牛云上传token
				 *folderPath:上传的文件夹
				 *region: 地区 默认为：SCN
				 */
				callback({
					visitPrefix: data.visitPrefix,
					token: data.token,
					folderPath: data.folderPath,
					region: "SCN"
				});
			});
		},
		// 请求拦截
		uploadStart(options) {
			let  requestNum = this.requestNum
			if (options.load) {
				if (requestNum <= 0) {
					//打开加载动画
					uni.showLoading({
						title: '加载中',
						mask: true
					});
				}
				requestNum += 1;
				this.requestNum = requestNum
			}
			// 图片上传大小限制
			if (options.method == "FILE" && options.maxSize) {
				// 文件最大字节: options.maxSize 可以在调用方法的时候加入参数
				const maxSize = options.maxSize;
				for (let item of options.files) {
					if (item.size > maxSize) {
						setTimeout(() => {
							uni.showToast({
								title: "图片过大，请重新上传",
								icon: "none"
							});
						}, 500);
						return false;
					}
				}
			}
			//请求前加入token
			// options.header['token'] = "你的项目登录token";
			return options; // return false 表示请求拦截，不会继续请求
		},
		uploadEnd(options) {
			let  requestNum = this.requestNum
			//判断当前接口是否需要加载动画
			if (options.load) {
				requestNum = requestNum - 1;
				if (requestNum <= 0) {
					this.requestNum = requestNum
					uni.hideLoading();
				}
			}
		}
		
	}
}
